Re: Help with compiling runtime 3.15

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Help with compiling runtime 3.15

Earnie Boyd

Quoting "Henk M. de Bruijn" <[hidden email]>:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> Hello MinGW-Users,
>
> I am not a programmer but have learned to build my own versions of GnuPG.
> I managed to compile the new w32api 3.12 version but with runtime 3.15 I am
> getting an error.
> I have extracted the files to the usual compiling area, I am using the
> build-runtime.sh from last time but I wonder if I have to make changes
> in this next to the version number.
>
> my build-runtime.sh:
> <begin>
> #!/bin/sh
> CPPFLAGS="-I/mingw/include" CFLAGS="-O3 -fomit-frame-pointer -march=i686
> - -mtune=i686 -I/mingw/include" LIBCFLAGS="-O3 -fomit-frame-pointer
> - -march=i686" LDFLAGS="-s" \
> ./configure --prefix=/build/mingw-runtime-3.15-bin
> make
> make install
> </begin>
>

You don't tell us the error.  What is the build environment?

Earnie

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users
Reply | Threaded
Open this post in threaded view
|

Re: Help with compiling runtime 3.15

Henk M. de Bruijn
On Wed, 10 Sep 2008, at 08:32:41 [GMT -0400] (which was 14:32 where I
live) Earnie Boyd wrote:

> Quoting "Henk M. de Bruijn" <[hidden email]>:

>> I am not a programmer but have learned to build my own versions of GnuPG.
>> I managed to compile the new w32api 3.12 version but with runtime 3.15 I am
>> getting an error.
>> I have extracted the files to the usual compiling area, I am using the
>> build-runtime.sh from last time but I wonder if I have to make changes
>> in this next to the version number.
>>
>> my build-runtime.sh:
>> <begin>
>> #!/bin/sh
>> CPPFLAGS="-I/mingw/include" CFLAGS="-O3 -fomit-frame-pointer -march=i686
>> - -mtune=i686 -I/mingw/include" LIBCFLAGS="-O3 -fomit-frame-pointer
>> - -march=i686" LDFLAGS="-s" \
>> ./configure --prefix=/build/mingw-runtime-3.15-bin
>> make
>> make install
>> </begin>
>>

> You don't tell us the error.  What is the build environment?

error:

Making  in mingwex...
make[1]: Entering directory `/home/HP_Eigenaar/mingwruntime/mingwex'
gcc-4.3.0.exe -c  -O3 -fomit-frame-pointer -march=prescott -mtune=i686 -I/mingw/include   -Wall -fomit-frame-pointer -I. -I./.. -I./../include -nostdinc -iwithprefixbefore include -I ./../../w32api/include  usleep.c -o usleep.o
usleep.c:29: error: expected ')' before 'useconds'
make[1]: *** [usleep.o] Error 1
make[1]: Leaving directory `/home/HP_Eigenaar/mingwruntime/mingwex'
make: *** [mingwex] Error 1
Making  in profile...
make[1]: Entering directory `/home/HP_Eigenaar/mingwruntime/profile'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/home/HP_Eigenaar/mingwruntime/profile'
Making  in mingwex...
make[1]: Entering directory `/home/HP_Eigenaar/mingwruntime/mingwex'
gcc-4.3.0.exe -c  -O3 -fomit-frame-pointer -march=prescott -mtune=i686 -I/mingw/include   -Wall -fomit-frame-pointer -I. -I./.. -I./../include -nostdinc -iwithprefixbefore include -I ./../../w32api/include  usleep.c -o usleep.o
usleep.c:29: error: expected ')' before 'useconds'
make[1]: *** [usleep.o] Error 1
make[1]: Leaving directory `/home/HP_Eigenaar/mingwruntime/mingwex'
make: *** [mingwex] Error 1

build environment:

$ gcc -v
Reading specs from c:/mingw/bin/../lib/gcc/mingw32/3.4.6/specs
Configured with: ../gcc-3.4.6/configure --with-gcc --with-gnu-ld
--with-gnu-as --prefix=/mingw --enable-threads --disable-nls
--enable-languages=c --disable-win32-registry --disable-shared
--enable-sjlj-exceptions --disable-libgcj --disable-java-awt --without-x
--enable-hash-synchronization --with-arch=i386 --with-tune=i386
--host=mingw32 --target=mingw32
Thread model: win32
gcc version 3.4.6

and

$ gcc-4.3.0 -v
Using built-in specs.
Target: mingw32
Configured with: ../gcc-4.3.0/configure --with-gcc --with-gnu-as
--with-gnu-ld --with-gmp=/mingw --with-mpfr=/mingw --with-arch=prescott
--with-tune=prescott --enable-threads=win32 --enable-libgomp
--with-dwarf2 --disable-sjlj-exceptions --disable-nls
--enable-languages=c --disable-werror --disable-checking
--disable-win32-registry --disable-shared
--enable-version-specific-runtime-libs --program-suffix=-4.3.0
--mandir=/mingw/man/gcc-4.3.0 --infodir=/mingw/info/gcc-4.3.0
--libdir=/mingw/lib-4.3.0 --libexecdir=/mingw/lib-4.3.0 --prefix=/mingw
--with-local-prefix=/mingw --silent --build=mingw32 --host=mingw32
--target=mingw32 --silent
Thread model: win32
gcc version 4.3.0 20080305

HTH

--
Henk
_____________________________________________________________________
The Bat! Voyager version 4.0.34 Pro on Windows XP SP3
Thawte notary, CAcert assurer, GSWoT introducer
Gossamer Spider Web of Trust http://www.gswot.org
Please consider the environment before printing this e-mail!


-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
MinGW-users mailing list
[hidden email]

You may change your MinGW Account Options or unsubscribe at:
https://lists.sourceforge.net/lists/listinfo/mingw-users